Bug 1644763 - CVE-2018-14661 glusterfs: features/locks translator passes an user-controlled string to snprintf without a proper format string resulting in a denial of service [fedora-all]
Summary: CVE-2018-14661 glusterfs: features/locks translator passes an user-controlled...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Amar Tumballi
QA Contact:
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On: 1644578
Blocks: CVE-2018-14661 1647666 1647668
TreeView+ depends on / blocked
 
Reported: 2018-10-31 14:41 UTC by Amar Tumballi
Modified: 2019-03-25 16:31 UTC (History)
11 users (show)

(edit)
Clone Of: 1644578
: 1647666 1647668 (view as bug list)
(edit)
Last Closed: 2018-12-26 16:30:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Gluster.org Gerrit 21532 None Merged all: fix the format string exceptions 2018-11-05 18:52 UTC

Description Amar Tumballi 2018-10-31 14:41:42 UTC
+++ This bug was initially created as a clone of Bug #1644578 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

--- Additional comment from Siddharth Sharma on 2018-10-31 04:11:52 EDT ---

Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1636880,1644578

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 1 Worker Ant 2018-11-01 05:14:21 UTC
REVIEW: https://review.gluster.org/21532 (all: fix the format string exceptions) posted (#1) for review on master by Amar Tumballi

Comment 2 Worker Ant 2018-11-05 18:52:21 UTC
REVIEW: https://review.gluster.org/21532 (all: fix the format string exceptions) posted (#3) for review on master by Shyamsundar Ranganathan

Comment 3 Worker Ant 2018-11-06 17:20:24 UTC
REVIEW: https://review.gluster.org/21578 (all: fix the format string exceptions) posted (#1) for review on release-5 by Amar Tumballi

Comment 4 Worker Ant 2018-11-08 05:16:30 UTC
REVISION POSTED: https://review.gluster.org/21578 (all: fix the format string exceptions) posted (#2) for review on release-5 by Amar Tumballi

Comment 5 Shyamsundar 2019-03-25 16:31:44 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-6.0, please open a new bug report.

glusterfs-6.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2019-March/000120.html
[2] https://www.gluster.org/pipermail/gluster-users/


Note You need to log in before you can comment on or make changes to this bug.